{
    "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
    "version": 1,
    "cli": {
        "packageManager": "yarn",
        "defaultCollection": "@angular-eslint/schematics"
    },
    "newProjectRoot": "projects",
    "projects": {
        "g-kanban-integration": {
            "projectType": "application",
            "schematics": {
                "@schematics/angular:component": {
                    "style": "scss",
                    "prefix": "app"
                },
                "@schematics/angular:application": {
                    "strict": true
                },
                "@schematics/angular:directive": {
                    "prefix": "app"
                }
            },
            "root": "",
            "sourceRoot": "src",
            "prefix": "app",
            "architect": {
                "build": {
                    "builder": "@angular-devkit/build-angular:browser",
                    "options": {
                        "outputPath": "dist",
                        "index": "src/index.html",
                        "main": "src/main.ts",
                        "polyfills": "src/polyfills.ts",
                        "tsConfig": "tsconfig.app.json",
                        "inlineStyleLanguage": "scss",
                        "assets": [
                            "src/favicon.ico",
                            "src/assets"
                        ],
                        "styles": [
                            "node_modules/perfect-scrollbar/css/perfect-scrollbar.css",
                            "src/styles.scss",
                        ],
                        "scripts": [
                            "src/assets/js/api.js",
                            "node_modules/jquery/dist/jquery.js",
                            "node_modules/popper.js/dist/umd/popper.js",
                            "node_modules/bootstrap-material-design/dist/js/bootstrap-material-design.min.js",
                            "node_modules/arrive/src/arrive.js",
                            "node_modules/moment/moment.js",
                            "node_modules/perfect-scrollbar/dist/perfect-scrollbar.min.js",
                            "node_modules/bootstrap-notify/bootstrap-notify.js",
                            "node_modules/chartist/dist/chartist.js"
                        ],
                        "allowedCommonJsDependencies" : [
                            "rxjs/add/operator/filter",
                            "jquery",
                            "chartist"
                        ]
                    },
                    "configurations": {
                        "production": {
                            "budgets": [
                            ],
                            "fileReplacements": [
                                {
                                    "replace": "src/environments/environment.ts",
                                    "with": "src/environments/environment.prod.ts"
                                }
                            ],
                            "outputHashing": "all"
                        },
                        "development": {
                            "buildOptimizer": false,
                            "optimization": false,
                            "vendorChunk": true,
                            "extractLicenses": false,
                            "sourceMap": true,
                            "namedChunks": true
                        }
                    },
                    "defaultConfiguration": "production"
                },
                "serve": {
                    "builder": "@angular-devkit/build-angular:dev-server",
                    "configurations": {
                        "production": {
                            "browserTarget": "g-kanban-integration:build:production"
                        },
                        "development": {
                            "browserTarget": "g-kanban-integration:build:development"
                        }
                    },
                    "defaultConfiguration": "development"
                },
                "extract-i18n": {
                    "builder": "@angular-devkit/build-angular:extract-i18n",
                    "options": {
                        "browserTarget": "g-kanban-integration:build"
                    }
                },
                "test": {
                    "builder": "@angular-devkit/build-angular:karma",
                    "options": {
                        "main": "src/test.ts",
                        "polyfills": "src/polyfills.ts",
                        "tsConfig": "tsconfig.spec.json",
                        "karmaConfig": "karma.conf.js",
                        "inlineStyleLanguage": "scss",
                        "assets": [
                            "src/favicon.ico",
                            "src/assets"
                        ],
                        "styles": [
                            "./node_modules/@angular/material/prebuilt-themes/indigo-pink.css",
                            "src/styles.scss"
                        ],
                        "scripts": []
                    }
                },
                "lint": {
                    "builder": "@angular-eslint/builder:lint",
                    "options": {
                        "lintFilePatterns": [
                            "src/**/*.ts",
                            "src/**/*.html"
                        ]
                    }
                },
                "cypress-run": {
                    "builder": "@cypress/schematic:cypress",
                    "options": {
                        "devServerTarget": "g-kanban-integration:serve"
                    },
                    "configurations": {
                        "production": {
                            "devServerTarget": "g-kanban-integration:serve:production"
                        }
                    }
                },
                "cypress-open": {
                    "builder": "@cypress/schematic:cypress",
                    "options": {
                        "watch": true,
                        "headless": false
                    }
                },
                "e2e": {
                    "builder": "@cypress/schematic:cypress",
                    "options": {
                        "devServerTarget": "g-kanban-integration:serve",
                        "watch": true,
                        "headless": false
                    },
                    "configurations": {
                        "production": {
                            "devServerTarget": "g-kanban-integration:serve:production"
                        }
                    }
                }
            }
        }
    },
    "defaultProject": "g-kanban-integration"
}
